aboutsummaryrefslogtreecommitdiffstats
path: root/main/xf86-video-sis
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
commit9526ee659401dee7160f35cb62ded2779bcbbc99 (patch)
tree812ad73bde9c84dcc02a3acbc5db576369ca314a /main/xf86-video-sis
parent05e09c1126a898b6d0af491fef0401bf53e297f8 (diff)
downloadaports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.gz
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.bz2
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.xz
merged x11 repository into main
ref #255
Diffstat (limited to 'main/xf86-video-sis')
-rw-r--r--main/xf86-video-sis/APKBUILD36
-rw-r--r--main/xf86-video-sis/fix-bios-read-on-650-760.patch23
2 files changed, 59 insertions, 0 deletions
diff --git a/main/xf86-video-sis/APKBUILD b/main/xf86-video-sis/APKBUILD
new file mode 100644
index 0000000000..ad3589a3ef
--- /dev/null
+++ b/main/xf86-video-sis/APKBUILD
@@ -0,0 +1,36 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xf86-video-sis
+pkgver=0.10.2
+pkgrel=0
+pkgdesc="X.org SiS video driver"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc"
+depends=
+makedepends="pkgconfig xorg-server-dev videoproto renderproto xproto
+ fontsproto xf86dgaproto xineramaproto randrproto xextproto mesa-dev
+ xf86driproto glproto libxi-dev"
+
+source="http://xorg.freedesktop.org/releases/individual/driver/$pkgname-$pkgver.tar.bz2
+ fix-bios-read-on-650-760.patch"
+
+prepare() {
+ cd "$srcdir"/$pkgname-$pkgver
+ patch -Np1 -i "$srcdir/fix-bios-read-on-650-760.patch" || return 1
+}
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+ export LDFLAGS="$LDFLAGS -Wl,-z,lazy"
+
+ ./configure --prefix=/usr || return 1
+ make || return 1
+}
+
+package() {
+ cd "$srcdir"/$pkgname-$pkgver
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="f04baa307e49e9f0e5a5c3d2e89a5576 xf86-video-sis-0.10.2.tar.bz2
+827d289307badeae3778180ab19b7363 fix-bios-read-on-650-760.patch"
diff --git a/main/xf86-video-sis/fix-bios-read-on-650-760.patch b/main/xf86-video-sis/fix-bios-read-on-650-760.patch
new file mode 100644
index 0000000000..c948c833a8
--- /dev/null
+++ b/main/xf86-video-sis/fix-bios-read-on-650-760.patch
@@ -0,0 +1,23 @@
+From 8370499d4035ec7a5c8e1f1b04d5a6c404883442 Mon Sep 17 00:00:00 2001
+From: Matteo Delfino <kendatsuba@gmail.com>
+Date: Wed, 21 Oct 2009 14:26:45 +0000
+Subject: Fix BIOS read on 650 and 760. (#19070)
+
+Signed-off-by: Matteo Delfino <kendatsuba@gmail.com>
+Signed-off-by: Adam Jackson <ajax@redhat.com>
+---
+diff --git a/src/sis_driver.c b/src/sis_driver.c
+index 994b02d..b19e7a9 100644
+--- a/src/sis_driver.c
++++ b/src/sis_driver.c
+@@ -4099,6 +4099,8 @@ SISPreInit(ScrnInfoPtr pScrn, int flags)
+ case SIS_315H:
+ case SIS_330:
+ case SIS_340:
++ case SIS_650:
++ case SIS_760:
+ case XGI_40: readpci = TRUE;
+ break;
+ case XGI_20: readpci = TRUE;
+--
+cgit v0.8.2